package com.knecon.fforesight.service.viewerdoc.model;

import java.util.HashMap;
import java.util.Map;

import lombok.AccessLevel;
import lombok.Getter;
import lombok.experimental.FieldDefaults;

@Getter
@FieldDefaults(makeFinal = true, level = AccessLevel.PRIVATE)
public class LayoutGrid {

    int numberOfPages;
    Map<Integer, VisualizationsOnPage> visualizationsPerPages;


    public LayoutGrid(int numberOfPages) {

        this.numberOfPages = numberOfPages;
        this.visualizationsPerPages = new HashMap<>();
        for (int i = 0; i < numberOfPages; i++) {
            this.visualizationsPerPages.put(i, VisualizationsOnPage.builder().build());
        }
    }

}
